package com.capgemini.framework.teamcenter.exceptions;

/** Exception to be used when the requested SavedQuery does not exist. */
public class QueryDoesNotExist extends KurtException {

    private static final long serialVersionUID = 5026463541399654426L;

    /**
     * Usual constructor for a newly found exception.
     * 
     * @param msg error message
     */
    public QueryDoesNotExist(final String msg) {
        super(msg);
    }

    /**
     * Usual constructor to explain an incoming exception.
     * 
     * @param msg error message
     * @param exc original exception
     */
    public QueryDoesNotExist(final String msg, final Throwable exc) {
        super(msg, exc);
    }

}
